package com.example.firstlesson;

import android.os.Bundle;
import android.app.Activity;
import android.app.AlertDialog;
import android.content.DialogInterface;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.widget.Button;
import android.widget.TextView;
import android.widget.Toast;

public class MainActivity extends Activity {
	
 	int lang = 0;
	Menu menu = null;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        
        setTitle(R.string.action_settings);
        setContentView(R.layout.activity_main);
        
        TextView label1 = (TextView)findViewById(R.id.label1);
        label1.setText(" ");
       
        Button myButton = (Button)findViewById(R.id.button1);

        myButton.setOnLongClickListener(new View.OnLongClickListener() {
            public boolean onLongClick(View v) {
                //setTitle("Long Click");
            	Toast toast = Toast.makeText(getApplicationContext(), " \n  LongClick", Toast.LENGTH_LONG);
            	toast.show();
                return true;
            }
        });
    }
    
    public void buttonClick(View v){
    	//setTitle("Button Clicked");
    	AlertDialog alert = new AlertDialog.Builder(this).create();
    	alert.setTitle(" ");
    	alert.setMessage("   \n  onClick!");
    	alert.setButton("Ok",
    	new DialogInterface.OnClickListener() {
    	  @Override                                 
    	  public void onClick(DialogInterface dialog,int which) {
    	        dialog.dismiss(); //Implement method for canceling dialog
    	         }
    	   });
    	alert.setIcon(R.drawable.icon);
    	alert.show();
    	
    } 
    
    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        // Inflate the menu; this adds items to the action bar if it is present.
        getMenuInflater().inflate(R.menu.main, menu);
        
        MenuItem option = (MenuItem)menu.findItem(R.id.action_settings);
        //option.setTitle(" ");
        switch(lang)
        {
        case 0 : option.setTitle(R.string.action_settings_gr);
        		 break;
        case 1 : option.setTitle(R.string.action_settings);
                 break;
        }
        this.menu = menu;

        return true;
    }
    
    public boolean onOptionsItemSelected(MenuItem item) {
        
        String title, msg;
        
        switch (item.getItemId()) {
        case R.id.action_settings:
        	if (this.lang == 1){
                title = "Settings";
                msg   = "Settings option selected";         		
        		}
        	else{
                title = "";
                msg   = "   ";
   		      	}
             break;
        default:
        return super.onOptionsItemSelected(item);
        }
        
    	AlertDialog alert = new AlertDialog.Builder(this).create();
    	alert.setTitle(title);
    	alert.setMessage(msg);
    	alert.setButton("Ok",
    	new DialogInterface.OnClickListener() {
    	  @Override                                 
    	  public void onClick(DialogInterface dialog,int which) {
    	        dialog.dismiss(); 
    	         }
    	   });
    	alert.show();
        
        return true;
        
    }  


    
    public void grClicked(View v){
    	setTitle("");
    	if(menu==null) lang=0;
    	else
    	{
    		MenuItem option = (MenuItem)menu.findItem(R.id.action_settings);
    		option.setTitle(R.string.action_settings_gr);
    		lang=0;
    	}
    }
    
    public void enClicked(View v){
    	setTitle("English");
    	if(menu==null) lang=1;
    	else
    	{
    		MenuItem option = (MenuItem)menu.findItem(R.id.action_settings);
    		option.setTitle(R.string.action_settings);
    		lang=1;
    	}
    }

}























/*
    public boolean onOptionsItemSelected(MenuItem item) {
            
            String title, msg;
            
            switch (item.getItemId()) {
            case R.id.action_settings:
            	if (this.lang == 1){
                    title = "Settings";
                    msg   = "Settings option selected";         		
            		}
            	else{
                    title = "";
                    msg   = "   ";
       		      	}
                 break;
            default:
            return super.onOptionsItemSelected(item);
            }
            
        	AlertDialog alert = new AlertDialog.Builder(this).create();
        	alert.setTitle(title);
        	alert.setMessage(msg);
        	alert.setButton("Ok",
        	new DialogInterface.OnClickListener() {
        	  @Override                                 
        	  public void onClick(DialogInterface dialog,int which) {
        	        dialog.dismiss(); 
        	         }
        	   });
        	alert.show();
            
            return true;
            
        }  
    
*/