package com.example.listtest;


import java.io.BufferedReader;
import java.io.File;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.OutputStream;

import android.os.Bundle;
import android.os.Environment;
import android.app.Activity;
import android.view.Menu;
import android.widget.AdapterView;
import android.widget.AdapterView.OnItemClickListener;
import android.widget.ArrayAdapter;
import android.widget.ListView;
import android.widget.TextView;
import android.widget.Toast;
import android.view.View;

public class MainActivity extends Activity {

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);   
		
		ListView listView1 = (ListView) findViewById(R.id.listView1);

        //String[] items = {  "", "", "", 
        //					  "", "" };

		//String[] items = getResources().getStringArray(R.array.listvalues);

		int i=0;
		String[] items = new String[7];  // 7 cities !?
		
		try {
		    BufferedReader reader = new BufferedReader(
		        new InputStreamReader(getAssets().open("cities.txt"), "UTF-8")); 

		    String mLine = reader.readLine();
		    while (mLine != null) {
		    	items[i++] = mLine;
		    	mLine = reader.readLine(); 
		    }
		    reader.close();
		} catch (IOException e) {
		}

        ArrayAdapter<String> adapter = new ArrayAdapter<String>(this,
                android.R.layout.simple_list_item_1, items);
    
        listView1.setAdapter(adapter);
        
        
        listView1.setOnItemClickListener(new OnItemClickListener() {
            public void onItemClick(AdapterView<?> parent, View view,
                    int position, long id) {
                Toast.makeText(getApplicationContext(),
                ((TextView) view).getText() + 
                  "\norder:" + Integer.toString(position), 
                  Toast.LENGTH_LONG).show();
                
            	if (position==6) copyFile();
            	
            }});        
        
	}
	
	public void copyFile(){
		
		String SDCard = Environment.getExternalStorageDirectory().getName();	

		File tutor = new File(SDCard + "/tutor");
		
		if( !(tutor.exists() && tutor.isDirectory()) ) tutor.mkdir();
		
        InputStream in = null;
        OutputStream out = null;
        
        try {
            in = getAssets().open("cities.txt");
            out = new FileOutputStream(SDCard + "/tutor/cities.txt");
            
            byte[] buffer = new byte[1024];
            int read;
            while ((read = in.read(buffer)) != -1) {
                out.write(buffer, 0, read);
            }
            
            in.close(); in = null;
            out.flush(); out.close(); out = null;
            
            Toast.makeText(getApplicationContext(),
            "File Copied!", 
              Toast.LENGTH_LONG).show();
              
        } catch (Exception e) {
            
        }		
		
	}
	
	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		// Inflate the menu; this adds items to the action bar if it is present.
		getMenuInflater().inflate(R.menu.main, menu);
		return true;
	}

}

/*
  
	String SDCard = Environment.getExternalStorageDirectory().getName();	
	
	------------------------
	
	File tutor = new File(SDCard + "/tutor");
		
	if( !(tutor.exists() && tutor.isDirectory()) ) tutor.mkdir();
	
	------------------------
	
	if (position==6) copyFile();
	
	------------------------
	public void copyFile(){
		
            InputStream in = null;
            OutputStream out = null;
            
            try {
                in = getAssets().open("cities.txt");
                out = new FileOutputStream(SDCard + "/tutor/cities.txt");
                
                byte[] buffer = new byte[1024];
                int read;
                while ((read = in.read(buffer)) != -1) {
                    out.write(buffer, 0, read);
                }
                
                in.close(); in = null;
                out.flush(); out.close(); out = null;
                
                Toast.makeText(getApplicationContext(),
                "File Copied!", 
                  Toast.LENGTH_LONG).show();
                  
            } catch (Exception e) {
                
            }		
		
	}
	
	
        
*/